Package ru.bitel.bgbilling.kernel.config.common.service

# Interface ConfigService

public interface ConfigService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfigData`
  `moduleConfigActiveGet(int moduleId)`
  Получение активного конфига для модуля.
  `void`
  `moduleConfigActiveSet(int moduleId, int configId)`
  Установка активной конфигурации для модуля.
  `void`
  `moduleConfigDelete(int moduleId, int configId)`
  Удаление одной конкретной конфигурации для определенного модуля.
  `ConfigData`
  `moduleConfigGet(int configId)`
  Получение одной конфигурации модуля по ее коду.
  `List<ConfigDataDto>`
  `moduleConfigList(int moduleId)`
  Получение списка конфигураций модуля по коду модуля
  `int`
  `moduleConfigUpdate(int moduleId, ConfigData configData)`
  Добавление/Обновление конфигурации модуля.

- ## Method Details

  - ### moduleConfigList

    List<ConfigDataDto> moduleConfigList(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Получение списка конфигураций модуля по коду модуля
    Parameters:
      `moduleId` - код модуля
    Returns:
      список конфигураций модуля
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleConfigActiveSet

    void moduleConfigActiveSet(int moduleId, int configId) throws ru.bitel.bgbilling.common.BGException
    Установка активной конфигурации для модуля. Активной в каждый момент времени может быть только одна конфигурация.
    Parameters:
      `moduleId` - код модуля
      `configId` - код конфигурации
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleConfigActiveGet

    ConfigData moduleConfigActiveGet(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Получение активного конфига для модуля.
    Parameters:
      `moduleId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleConfigGet

    ConfigData moduleConfigGet(int configId) throws ru.bitel.bgbilling.common.BGException
    Получение одной конфигурации модуля по ее коду. Например, после выбора в таблице конфигураций
    Parameters:
      `configId` - код конфигурации
    Returns:
      конфигурация
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleConfigDelete

    void moduleConfigDelete(int moduleId, int configId) throws ru.bitel.bgbilling.common.BGException
    Удаление одной конкретной конфигурации для определенного модуля.
    Parameters:
      `moduleId` - код модуля
      `configId` - код конфигурации
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### moduleConfigUpdate

    int moduleConfigUpdate(int moduleId, ConfigData configData) throws ru.bitel.bgbilling.common.BGException
    Добавление/Обновление конфигурации модуля.
    Parameters:
      `moduleId` - код модуля
      `configData` - конфигурация модуля. Конфигурация в данном случае - строка, содержащая пары "ключ-значение" и комментарии - содержится в поле config.
    Returns:
      код добавленной/обновленной конфигурации
    Throws:
      `ru.bitel.bgbilling.common.BGException`